Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.editor
Class SearchOptions

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--biouml.editor.SearchOptions

public class SearchOptions
extends Option

Field Summary
`final static int` | `DEFAULT_DEPTH`
`final static String` | `DIRECTION_PROPERTY`
`final static String` | `IDENTIFIER_PROPERTY`

Constructor Summary
`SearchOptions(Module module)`

Method Summary
`DataElement` | `getDataElement()`
`int` | `getDepth()`
`String` | `getDiagramName()`
`Integer` | `getDiagramType()`
`Class[]` | `getDiagramTypes()`
`int` | `getDirection()`
`Integer` | `getGraphLayout()`
`GraphLayout` | `getGraphLayoutAlg()`
`GraphLayout[]` | `getGraphLayouts()`
`Integer` | `getIdentifier()`
`String[]` | `getIdentifiers()`
`String` | `getIdentifierStr()`
`Integer` | `getNodeType()`
`Class[]` | `getNodeTypes()`
`void` | `setDepth(int depth)`
`void` | `setDiagramName(String diagramName)`
`void` | `setDiagramType(Integer diagramType)`
`void` | `setDiagramTypes(Class[] diagramTypes)`
`void` | `setDirection(int direction)`
`void` | `setGraphLayout(Integer graphLayout)`
`void` | `setIdentifier(Integer identifier)`
`void` | `setIdentifiers(String[] identifiers)`
`void` | `setNodeType(Integer nodeType)`
`void` | `setNodeTypes(Class[] nodeTypes)`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DEPTH

    public final static int DEFAULT_DEPTH

### DIRECTION_PROPERTY

    public final static String DIRECTION_PROPERTY

### IDENTIFIER_PROPERTY

    public final static String IDENTIFIER_PROPERTY

Constructor Detail

### SearchOptions

    public SearchOptions(Module module)

Method Detail

### getDataElement

    public DataElement getDataElement()

### getDepth

    public int getDepth()

### getDiagramName

    public String getDiagramName()

### getDiagramType

    public Integer getDiagramType()

### getDiagramTypes

    public Class[] getDiagramTypes()

### getDirection

    public int getDirection()

### getGraphLayout

    public Integer getGraphLayout()

### getGraphLayoutAlg

    public GraphLayout getGraphLayoutAlg()

### getGraphLayouts

    public GraphLayout[] getGraphLayouts()

### getIdentifier

    public Integer getIdentifier()

### getIdentifiers

    public String[] getIdentifiers()

### getIdentifierStr

    public String getIdentifierStr()

### getNodeType

    public Integer getNodeType()

### getNodeTypes

    public Class[] getNodeTypes()

### setDepth

    public void setDepth(int depth)

### setDiagramName

    public void setDiagramName(String diagramName)

### setDiagramType

    public void setDiagramType(Integer diagramType)

### setDiagramTypes

    public void setDiagramTypes(Class[] diagramTypes)

### setDirection

    public void setDirection(int direction)

### setGraphLayout

    public void setGraphLayout(Integer graphLayout)

### setIdentifier

    public void setIdentifier(Integer identifier)

### setIdentifiers

    public void setIdentifiers(String[] identifiers)

### setNodeType

    public void setNodeType(Integer nodeType)

### setNodeTypes

    public void setNodeTypes(Class[] nodeTypes)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class org.apache.log4j.Category

to Class biouml.model.Module

to Class java.lang.String

to Class java.lang.Class

to Class java.lang.Class

to Class java.lang.String

to Class biouml.editor.graphlayout.GraphLayout

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM